/*
 * parallelportcontroller.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef __PARALLELPORTCONTROLLEROSD_H
#define __PARALLELPORTCONTROLLEROSD_H

#include <linux/dvb/frontend.h>
#include <sys/time.h>
#include <sys/ioctl.h>
#include <vdr/osd.h>
#include <vdr/thread.h>
#include <vdr/status.h>
#include <vdr/channels.h>
#include <vdr/transfer.h>

class CParallelPortControllerOsd : public cOsdObject, public cThread, public cStatus {
private:
  cOsd *m_Osd;
  const cFont *m_Font;
  void DrawNfoWindow(void);

  int m_iPos;
  int m_iStatusData;
	bool m_Active;

protected:
  virtual void Action(void);

public:
  CParallelPortControllerOsd(void);
  ~CParallelPortControllerOsd();

  virtual void Show(void);
  virtual eOSState ProcessKey(eKeys Key);
};

#endif //__PARALLELPORTCONTROLLEROSD_H

